Subject: Re: git file sharing/versioning.

From: Nicolas Sebrecht <[email-masked]>
Date: Tue, 5 Jan 2010 21:10:38 +0100

The 04/01/10, Bas Driessen wrote:

> I have a project where I have 2 trees with several hundreds of files.
> Let's call them tree1 and tree2. Only a handful of files in tree2 are
> different. What is the best way to set this up in GIT? Basically most
> files in tree2 should act as a symbolic link to tree1. So if the file
> changes in tree 1, it automatically changes in tree 2. Obviously, I
> don't want to store everything double. Branching does not appear to be
> an option as changes in tree1 would not be visible in the tree2 branch. 

Look at:

  git merge --help
  git rebase --help
  git cherry-pick --help

-- 
Nicolas Sebrecht